VICO(1)

NAME
Vico - Minimalistic MIDI sequencer. One input, one output, one piano roll with multiple layers.

DESCRIPTION
usage: vico [-h] [-v] [-s DIRECTORY] [-p] [-m] [-V]

Vico - Version 1.2.2 - Copyright 2021 by Laborejo Software Suite - https://www.laborejo.org/vico

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-s DIRECTORY, --save DIRECTORY
    Use this directory to save. Will be created or loaded from if already present. Deactivates Agordejo/NewSession-Manager support.

-p, --profiler
    (Development) Run the python profiler and produce a .cprof file at quit. The name will appear in your STDOUT.

-m, --mute
    (Development) Use a fake cbox module, effectively deactivating midi and audio.

-V, --verbose
    (Development) Switch the logger to INFO and print out all kinds of information to get a high-level idea of what the program is doing.

USAGE
THIS PROGRAM IS NO LONGER IN DEVELOPMENT. NO FURTHER UPDATES! In August 2020 it became clear that the choice of programming languages and libraries lead to grave performance problems. Combined with the fact that this is hardly a unique program, a piano roll midi sequencer, it has been decided that no further development will happen. Here is the original description of the program: Vico is a minimalistic Midi sequencer that is intended to be used in parallel with other software. "Vico" (with c like ts in "bats") just means "sequence" or "order" in Esperanto for obvious reasons. In a loop- or pattern based environment you often want to have a 'free flowing' track in order to create an instrumental solo, for example. Sometimes you just want to record a sketch or an idea quickly and not open or create an entire DAW project. Vico fulfills these conditions by connecting exactly one source to one output, and records and plays back in between. Or to put it another way: you only get one track, intended for one instrument (but with convenient layers). Vico has been written primarily for users of Patroneo, but has no closer technical bond. Patroneo is a program characterized by strict repetitions and constant reuse of very short patterns. With this you can quickly create whole arrangements for drums, bass and accompaniment chords, but a beautiful, long melody is extremely cumbersome. Therefore Vico wants to solve this problem. However, all programs that run as JACK transport masters or JACK timebase masters are suitable as "remote control".

EXAMPLES
Start vico through NSM, e.g. through Agordejo. This will take care of all settings and save directories. Other modes of operations, mostly for testing, are: Run without session management and save in /tmp.
    vico --save /tmp Run without audio and midi. Skips all JACK checks. Used to just look at the GUI, e.g. to make screenshots
    vico --mute

REPORTING BUGS
https://www.laborejo.org/bugs

COPYRIGHT
Vico 1.2.2 - Copyright 2021 Laborejo Software Suite https://www.laborejo.org/

SEE ALSO
The full documentation for Vico is maintained as a multi-lingual html site to your systems doc-dir. For example:
    xdg-open file:///usr/share/doc/vico/index.html The documentation can also be found online https://www.laborejo.org/documentation/vico